Support » Plugin: WP RSS Aggregator » Conflict with “Next Active Directory Integration” plugin

  • Resolved Johan Falk

    (@j-falk)


    Hi

    Thanks for a great plugin!

    However we seem to be getting a conflict with your plugin and “Next Active Directory Integration” (https://wordpress.org/plugins/next-active-directory-integration/).

    When I have both plugins installed (no other plugins acitve and TwentySixteen as theme) I get the following error message:

    Fatal error: Uncaught exception 'Aventura\Wprss\Core\Plugin\Exception' with message 'Could not create component: "Logger" is not a component class as it does not implement "Aventura\Wprss\Core\Plugin\ComponentInterface"' in /home/ubuntu/workspace/fcgintranet/wp-content/plugins/wp-rss-aggregator/includes/Aventura/Wprss/Core/Model/ModelAbstract.php:181 Stack trace: #0 /home/ubuntu/workspace/fcgintranet/wp-content/plugins/wp-rss-aggregator/includes/Aventura/Wprss/Core/Plugin/ComponentAbstract.php(85): Aventura\Wprss\Core\Model\ModelAbstract->exception(Array, Array, NULL) #1 /home/ubuntu/workspace/fcgintranet/wp-content/plugins/wp-rss-aggregator/includes/Aventura/Wprss/Core/Plugin/ComponentFactoryAbstract.php(28): Aventura\Wprss\Core\Plugin\ComponentAbstract->exception(Array, Array) #2 /home/ubuntu/workspace/fcgintranet/wp-content/plugins/wp-rss-aggregator/includes/Aventura/Wprss/Core/ComponentFactory.php(27): Aventura\Wprss\Core\Plugin\ComponentFactoryAbstract->createComponent('Logger', Object(Aventura\Wprss\Core\Plugin)) #3 in /home/ubuntu/workspace/fcgintranet/wp-content/plugins/wp-rss-aggregator/includes/Aventura/Wprss/Core/Model/ModelAbstract.php on line 181

    Would really appreciate your help on looking into this issue, thanks!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hey guys from WP RSS Aggregator!
    Can you permanently change the line

    
    $logger = $this->createComponent('Logger', $this->getPlugin()); 
    

    in wp-rss-aggregator\includes\Aventura\Wprss\Core\ComponentFactory.php into

     
    $logger = $this->createComponent('Aventura\Wprss\Core\Component\Logger', $this->getPlugin());
    

    ?

    This would fix the issue and does not conflict with an existing Logger class.

    Hi Johan and @schakko,

    Sorry for the delayed response.

    This is a known issue on the part of the other plugins, but we have patched our procedures to avoid it.

    The fix will be included in the upcoming release and it should have fixed this issue.

    Thanks for reporting this to us.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Conflict with “Next Active Directory Integration” plugin’ is closed to new replies.